---
name: Bug report
about: Create a Bromite bug report

---

<!-- Welcome! Thanks for taking time to submit a bug report.
Have you read the README? https://github.com/bromite/bromite/blob/master/README.md
Have you searched the issue tracker? https://github.com/bromite/bromite/issues
Are you sure this is not a Chromium bug? You have to test with Chromium before submitting a bug.
Are you using the latest version of Bromite?

If instead of a bug report you want to ask a question then please use the GitHub Discussions: https://github.com/bromite/bromite/discussions
-->

### Bromite version

Version: `83.0...`
Arch: `arm` or `arm64` or `x86`
Android version: (example: `9.0`)
Device model: (example: `SM-G960UZKABST`)

### Is this bug about the SystemWebView?
Yes/No

<!-- No support for SystemWebView installations is provided. -->

### Is the bug reproducible with latest version?

<!-- Do not report bugs which are not reproducible with latest version. -->

### Can the bug be reproduced with corresponding Chromium version?

<!--
Please pick the same version of Chromium as Bromite from here: https://github.com/bromite/chromium/releases
If the bug is reproducible then it might be a configuration issue or an upstream bug. Upstream bugs can be reported on the [Chromium issue tracker](https://bugs.chromium.org/p/chromium/issues/list) and do not forget to read [Chromium project bug reporting guidelines](https://www.chromium.org/for-testers/bug-reporting-guidelines) first.
-->

### Is the bug a crash?

<!--
If yes then individuate and post the logcat dump (remove privacy sensitive information, if any), otherwise remove this section.
-->

### Describe the bug

<!-- Write here a clear and concise description of the bug. -->

### Steps to reproduce the bug

Steps to reproduce the bug:
1. Go to '...'
2. Click on '...'
3. Scroll down to '...'
4. See error

### Expected behavior

<!-- A clear and concise description of what you expected to happen. -->

### Screenshots

<!-- If applicable, add screenshots to help explain your problem. Otherwise remove this section. -->
